%define	name	edos-dose
%define	version	2.0
%define	svn	20070622
%define	release	%mkrel 0.%{svn}.2

%define ocaml_sitelib %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)/site-lib

Summary:	Dose components for EDOS Ceve
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.edos-project.org/
License:	GPL
Group:		Development/Other
Source0:	%{name}-%{svn}.tar.lzma
Patch0:		edos-dose-20070622-destdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ocaml lzma ocaml-calendar-devel ocamlfind-mini

%description
Dose components for EDOS Ceve.

%package	tart
Summary:	A program that takes care of distribution thinning
Group:		Development/Other
Provides:	tart = %{version}-%{version}
Provides:	edos-tart = %{version}-%{release}

%description	tart
Tart is the program that takes care of thinning, i.e. spreading a
distribution over different (numbered) media (CDs, DVDs, etc) so
that every package on the distribution can be installed using only
the medium it is on and preceeding media. For example, all packages
on CD 1 can be installed using only the packages from CD 1, all
packages on CD 2 can be installed using only the packages from CDs
1 and 2, and so forth.

%prep
%setup -q -n dose2
%patch0 -p0 -b .destdir

%build
make CFLAGS="-I%{_libdir}/ocaml %{optflags} -fPIC" lifetime dosebase tart

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{ocaml_sitelib}
for i in util io mmap lifetime dosebase
	do cd $i; make -I ../make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}%{ocaml_sitelib}"; cd -
done

install -m755 tart/tart -D %{buildroot}%{_bindir}/tart
install -m755 tart/tart.opt -D %{buildroot}%{_bindir}/tart.opt

%files
%defattr(-,root,root)
%dir %{ocaml_sitelib}/util
%{ocaml_sitelib}/util/*
%dir %{ocaml_sitelib}/io
%{ocaml_sitelib}/io/*
%dir %{ocaml_sitelib}/mmap
%{ocaml_sitelib}/mmap/*
%dir %{ocaml_sitelib}/lifetime
%{ocaml_sitelib}/lifetime/*
%dir %{ocaml_sitelib}/dosebase
%{ocaml_sitelib}/dosebase/*

%files tart
%defattr(-,root,root)
%{_bindir}/tart*


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0-0.20070622.2mdv2008.1
+ Revision: 140728
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix typo

* Sat Jun 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0-0.20070622.2mdv2008.0
+ Revision: 43457
- build and package tart

* Fri Jun 22 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0-0.20070622.1mdv2008.0
+ Revision: 43262
- compile with %%{optflags}
- fix buildrequires
- fix buildrequires
- compile with -fPIC
- dot
- fix install
- Import edos-dose

